[tool.poetry]
name = "fw-gear-hierarchy-curator"
version = "2.1.6"
description = "Custom hierarchy curation gear"
authors = ["Flywheel <support@flywheel.io>"]
license = "MIT"

[tool.poetry.dependencies]
python = "^3.9"
lxml = "^4.6.1"
nibabel = "^5.1.0"
numpy = "^1.25.1"
pandas = "^2.1"
Pillow = "^10"
piexif = "^1.1.3"
pydicom = "^2.1.1"
pypng = "^0"
backoff = "^2.2"
flywheel-gear-toolkit = "^0.6.18"
flywheel-sdk = "^19.0"
fw-file = "^3.4"
fw-client = "^0.8.6"


[tool.poetry.dev-dependencies]
pytest = "^7.4"
pytest-cov = "^4.1"
pytest-mock = "^3.3.1"

[tool.poetry.group.dev.dependencies]
dill = "^0"
ipython = "^8.16.1"

[tool.pytest.ini_options]
    minversion = "6.0"
    addopts = [
      "--cov=fw_gear_hierarchy_curator",
      "--cov-report=html",
    ]
    testpaths = [
        "tests",
    ]

[tool.black]
    exclude = '''
      /(
          \.eggs         # exclude a few common directories in the
        | \.git          # root of the project
        | \.mypy_cache
        | \.tox
        | build
        | dist
        | \.cache
      )/
    '''

[build-system]
    requires = ["poetry-core>=1.0.8"]
    build-backend = "poetry.core.masonry.api"


